org.eclipse.graphiti.ui.internal.util.draw2d

## Class GFBendpointHandle

- java.lang.Object
- - org.eclipse.draw2d.Figure
  - - org.eclipse.gef.handles.AbstractHandle
    - - org.eclipse.gef.handles.SquareHandle
      - - org.eclipse.gef.handles.ConnectionHandle
        - - org.eclipse.gef.handles.BendpointHandle
          - - org.eclipse.graphiti.ui.internal.util.draw2d.GFBendpointHandle

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener, org.eclipse.draw2d.AncestorListener, org.eclipse.draw2d.IFigure, org.eclipse.gef.Handle

    public class GFBendpointHandle
    extends org.eclipse.gef.handles.BendpointHandle

A circular handle which is placed on a bendpoint of a connection. It can be used to move or create the bendpoints of the connection edit-part.

### Nested Class Summary

Nested Classes
`static class` `GFBendpointHandle.Type` Enumeration of the supported types of the bendpoint handle (create/move).

### Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

`org.eclipse.draw2d.Figure.FigureIterator`

### Nested classes/interfaces inherited from interface org.eclipse.draw2d.AncestorListener

`org.eclipse.draw2d.AncestorListener.Stub`

### Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`org.eclipse.draw2d.IFigure.NoInsets`

### Field Summary

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

### Constructor Summary

Constructors
Constructor and Description
`GFBendpointHandle(org.eclipse.gef.ConnectionEditPart owner, int index, int locatorIndex, IConfigurationProviderInternal configurationProvider, GFBendpointHandle.Type type, IConnectionSelectionInfo connectionSelectionInfo)` Creates a new GFBendpointHandle.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `paintFigure(org.eclipse.draw2d.Graphics g)` Paints a circular handle which is placed on the specified bendpoint of the connection edit-part.

### Methods inherited from class org.eclipse.gef.handles.BendpointHandle

`getIndex, propertyChange`

### Methods inherited from class org.eclipse.gef.handles.ConnectionHandle

`addNotify, getConnection, removeNotify, setFixed`

### Methods inherited from class org.eclipse.gef.handles.AbstractHandle

`ancestorAdded, ancestorMoved, ancestorRemoved, getAccessibleLocation, getDragCursor, getDragTracker, getLocator, setDragCursor, setDragTracker, validate`

### Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setClippingStrategy, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GFBendpointHandle

    public GFBendpointHandle(org.eclipse.gef.ConnectionEditPart owner,
                             int index,
                             int locatorIndex,
                             IConfigurationProviderInternal configurationProvider,
                             GFBendpointHandle.Type type,
                             IConnectionSelectionInfo connectionSelectionInfo)

Creates a new GFBendpointHandle.

Parameters:
  `owner` - The connection edit-part associated with this handle.
  `index` - The index of the bendpoint.
  `locatorIndex` - The index used for the bendpoint locator.
  `configurationProvider` - The configuration provider, which can be used to access the environment.
  `type` - The type of the bendpoint handle (create/move).

### Method Detail

#### paintFigure

    public void paintFigure(org.eclipse.draw2d.Graphics g)

Paints a circular handle which is placed on the specified bendpoint of the connection edit-part.

Overrides:
  `paintFigure` in class `org.eclipse.gef.handles.SquareHandle`